Bug 182924 - [MAINTAINER] sysutils/lsof: Support FreeBSD 11-CURRENT
Summary: [MAINTAINER] sysutils/lsof: Support FreeBSD 11-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-12 15:40 UTC by Larry Rosenman
Modified: 2013-10-12 18:10 UTC (History)
0 users

See Also:


Attachments
lsof-4.88.e,8.patch (1.38 KB, patch)
2013-10-12 15:40 UTC, Larry Rosenman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2013-10-12 15:40:00 UTC
Support HEAD being FreeBSD 11-CURRENT

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: suffix)
Comment 1 Larry Rosenman freebsd_committer 2013-10-12 15:45:40 UTC
Here is the correct diff....

===> Generating patch
===> Viewing diff with more
diff -ruN /usr/ports/sysutils/lsof/Makefile ./Makefile
--- /usr/ports/sysutils/lsof/Makefile	2013-09-20 19:02:35.483682895 -0500
+++ ./Makefile	2013-10-12 09:31:23.057928172 -0500
@@ -2,7 +2,7 @@
  # $FreeBSD: head/sysutils/lsof/Makefile 327772 2013-09-20 23:05:58Z bapt $

  PORTNAME=	lsof
-DISTVERSION=	4.88D
+DISTVERSION=	4.88E
  PORTEPOCH=	8
  CATEGORIES=	sysutils
  MASTER_SITES=	http://ftp.cerias.purdue.edu/pub/tools/unix/sysutils/lsof/ \
diff -ruN /usr/ports/sysutils/lsof/distinfo ./distinfo
--- /usr/ports/sysutils/lsof/distinfo	2013-04-07 17:39:30.363773015 -0500
+++ ./distinfo	2013-10-12 09:31:30.392927785 -0500
@@ -1,2 +1,2 @@
-SHA256 (lsof_4.88D.freebsd.tar.bz2) = b9b55bd0b7ea8f1607016b664e3b8ddaf1cd45668f2a7bfc0049872e60509ecf
-SIZE (lsof_4.88D.freebsd.tar.bz2) = 481813
+SHA256 (lsof_4.88E.freebsd.tar.bz2) = 5997afd404aa82dc19354909cbaf93441217c39bb4ba1712a8da83dd0290671f
+SIZE (lsof_4.88E.freebsd.tar.bz2) = 482158
===> Done

-- 
Larry Rosenman                     http://www.lerctr.org/~ler
Phone: +1 214-642-9640                 E-Mail: ler@lerctr.org
US Mail: 108 Turvey Cove, Hutto, TX 78634-5688
Comment 2 Po-Chuan Hsieh freebsd_committer 2013-10-12 16:23:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-10-12 18:09:04 UTC
Author: sunpoet
Date: Sat Oct 12 17:08:55 2013
New Revision: 330150
URL: http://svnweb.freebsd.org/changeset/ports/330150

Log:
  - Update to 4.88E
  - While I'm here:
    - Support STAGEDIR
    - Use USES=shebangfix
  
  Changes:
  - Support HEAD being FreeBSD 11-CURRENT
  
  PR:		ports/182924
  Submitted by:	Larry Rosenman <ler@lerctr.org> (maintainer)

Modified:
  head/sysutils/lsof/Makefile
  head/sysutils/lsof/distinfo   (contents, props changed)

Modified: head/sysutils/lsof/Makefile
==============================================================================
--- head/sysutils/lsof/Makefile	Sat Oct 12 16:45:37 2013	(r330149)
+++ head/sysutils/lsof/Makefile	Sat Oct 12 17:08:55 2013	(r330150)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	lsof
-DISTVERSION=	4.88D
+DISTVERSION=	4.88E
 PORTEPOCH=	8
 CATEGORIES=	sysutils
 MASTER_SITES=	http://ftp.cerias.purdue.edu/pub/tools/unix/sysutils/lsof/ \
@@ -37,7 +37,9 @@ WRKSRC=		${WRKDIR}/${DISTNAME}/${SRCBALL
 USE_BZIP2=	yes
 HAS_CONFIGURE=	yes
 
-NO_STAGE=	yes
+USES=		shebangfix
+SHEBANG_FILES=	scripts/sort_res.perl5
+
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "arm"
@@ -47,8 +49,8 @@ BROKEN=		Does not compile on arm
 CONFIGURE_SCRIPT=	Configure
 CONFIGURE_ARGS=	-n freebsd
 CONFIGURE_ENV=	LSOF_CC="${CC}" FREEBSD_SYS="${SRC_BASE}/sys"
-PLIST_FILES=	sbin/lsof
-MAN8=		lsof.8
+PLIST_FILES=	man/man8/lsof.8.gz \
+		sbin/lsof
 
 .if !exists(${SRC_BASE}/sys/kern/kern_lockf.c)
 IGNORE=		requires kernel sources
@@ -70,14 +72,14 @@ post-extract:
 .endif
 
 do-install:
-	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -m 2755 -g kmem ${WRKSRC}/lsof ${PREFIX}/sbin
-	${INSTALL_MAN} ${WRKSRC}/lsof.8 ${MAN8PREFIX}/man/man8/lsof.8
-	@${MKDIR} ${PREFIX}/share/lsof
-	${INSTALL_SCRIPT} ${WRKSRC}/scripts/* ${PREFIX}/share/lsof
-	@${CHMOD} 0444 ${PREFIX}/share/lsof/00*
+	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -m 2755 -g kmem ${WRKSRC}/lsof ${STAGEDIR}${PREFIX}/sbin
+	${INSTALL_MAN} ${WRKSRC}/lsof.8 ${STAGEDIR}${MAN8PREFIX}/man/man8/lsof.8
+	@${MKDIR} ${STAGEDIR}${PREFIX}/share/lsof
+	${INSTALL_SCRIPT} ${WRKSRC}/scripts/* ${STAGEDIR}${PREFIX}/share/lsof
+	@${CHMOD} 0444 ${STAGEDIR}${PREFIX}/share/lsof/00*
 
 post-install:
-	cd ${PREFIX} && \
+	cd ${STAGEDIR}${PREFIX} && \
 	    ${FIND} -s share/lsof -type f -o -type l >>${TMPPLIST} ;\
 	    ${FIND} -d share/lsof -type d \
 	        | ${SED} -e 's/^/@dirrm /g' >>${TMPPLIST}

Modified: head/sysutils/lsof/distinfo
==============================================================================
--- head/sysutils/lsof/distinfo	Sat Oct 12 16:45:37 2013	(r330149)
+++ head/sysutils/lsof/distinfo	Sat Oct 12 17:08:55 2013	(r330150)
@@ -1,2 +1,2 @@
-SHA256 (lsof_4.88D.freebsd.tar.bz2) = b9b55bd0b7ea8f1607016b664e3b8ddaf1cd45668f2a7bfc0049872e60509ecf
-SIZE (lsof_4.88D.freebsd.tar.bz2) = 481813
+SHA256 (lsof_4.88E.freebsd.tar.bz2) = 5997afd404aa82dc19354909cbaf93441217c39bb4ba1712a8da83dd0290671f
+SIZE (lsof_4.88E.freebsd.tar.bz2) = 482158
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-10-12 18:09:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!